package dev.shadowsoffire.apotheosis.village.fletching.arrows;

import net.minecraftforge.api.distmarker.Dist;
import net.minecraftforge.api.distmarker.OnlyIn;
import net.minecraft.ChatFormatting;
import net.minecraft.world.item.TooltipFlag;
import net.minecraft.network.chat.Component;
import java.util.List;
import net.minecraft.world.entity.projectile.AbstractArrow;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.level.Level;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.ArrowItem;

public class BroadheadArrowItem extends ArrowItem implements IApothArrowItem
{
    public BroadheadArrowItem(final Item.Properties props) {
        super(props);
    }
    
    public AbstractArrow m_6394_(final Level world, final ItemStack stack, final LivingEntity shooter) {
        return (AbstractArrow)new BroadheadArrowEntity(shooter, world).bleed();
    }
    
    @OnlyIn(Dist.CLIENT)
    public void m_7373_(final ItemStack stack, final Level worldIn, final List<Component> tooltip, final TooltipFlag flagIn) {
        tooltip.add((Component)Component.m_237115_("info.apotheosis.broadhead_arrow").m_130940_(ChatFormatting.RED));
    }
    
    public AbstractArrow fromDispenser(final Level world, final double x, final double y, final double z) {
        final AbstractArrow e = (AbstractArrow)new BroadheadArrowEntity(world, x, y, z).bleed();
        e.f_36705_ = AbstractArrow.Pickup.ALLOWED;
        return e;
    }
}
